%define url_ver %{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^(%d+%.%d+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^(%d+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%define api		3.0
%define lib_major	0
%define lib_name	%mklibname gtksourceviewmm %{api} %{lib_major}
%define develname	%mklibname -d gtksourceviewmm %{api}

Summary:	Source code viewing library
Name:		gtksourceviewmm%{api}
Version:	3.21.3
Release:	%mkrel 6
License:	LGPLv2+
Group:		Editors
URL:		https://www.gnome.org/
Source0:	https://download.gnome.org/sources/gtksourceviewmm/%{url_ver}/gtksourceviewmm-%{version}.tar.xz
BuildRequires:  pkgconfig(gtksourceview-3.0) >= 3.18.0
BuildRequires:	pkgconfig(glibmm-2.4) >= 2.46.1
BuildRequires:	pkgconfig(gtkmm-3.0) >= 3.18.0
BuildRequires:	doxygen

%description
GtkSourceview is a library that adds syntax highlighting,
line numbers, and other programming-editor features.
GtkSourceView specializes these features for a code editor.

This package contains the C++ language bindings for GtkSourceview.

#--------------------------------------------------------------------

%package -n %{lib_name}
Summary:	Source code viewing library
Group:	System/Libraries

%description -n %{lib_name}
GtkSourceview is a library that adds syntax highlighting,
line numbers, and other programming-editor features.
GtkSourceView specializes these features for a code editor.

This package contains the C++ language bindings for GtkSourceview.

%files -n %{lib_name}
%doc AUTHORS ChangeLog NEWS README
%{_libdir}/libgtksourceviewmm-%{api}.so.%{lib_major}{,.*}

#--------------------------------------------------------------------

%package -n %develname
Summary:        Libraries and include files for GtkSourceView
Group:          Development/C++
Requires: 	%lib_name = %version
Provides:	libgtksourceviewmm%{api}-devel = %{version}-%{release}
Provides:	gtksourceviewmm3-devel = %{version}-%{release}

%description -n %develname
GtkSourceView development files.

This package contains the C++ language bindings for GtkSourceview.

%files -n %develname
%doc %_datadir/doc/gtksourceviewmm-%{api}/
%_datadir/devhelp/books/gtksourceviewmm-%{api}
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*
%_libdir/gtksourceviewmm*

#--------------------------------------------------------------------

%prep
%autosetup -n gtksourceviewmm-%{version}

%build
%configure
%make_build

%install
%make_install


%changelog
* Thu Dec 26 2024 wally <wally> 3.21.3-6.mga10
+ Revision: 2130335
- fork as gtksourceviewmm3.0

* Thu Mar 31 2022 umeabot <umeabot> 3.21.3-5.mga9
+ Revision: 1837680
- Mageia 9 Mass Rebuild

* Wed Apr 22 2020 ovitters <ovitters> 3.21.3-4.mga8
+ Revision: 1570840
- rebuild for to test removal of deprecated macros
+ danf <danf>
- Switch URLs from http: to https:

* Thu Feb 13 2020 umeabot <umeabot> 3.21.3-3.mga8
+ Revision: 1512903
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 3.21.3-2.mga7
+ Revision: 1298128
- Mageia 7 Mass Rebuild

* Mon Nov 14 2016 ovitters <ovitters> 3.21.3-1.mga6
+ Revision: 1067117
- new version 3.21.3

* Sun Sep 18 2016 ovitters <ovitters> 3.21.2-1.mga6
+ Revision: 1053978
- new version 3.21.2

* Mon Feb 15 2016 umeabot <umeabot> 3.18.0-2.mga6
+ Revision: 960591
- Mageia 6 Mass Rebuild

* Thu Sep 24 2015 fwang <fwang> 3.18.0-1.mga6
+ Revision: 883004
- bump req
+ tv <tv>
- new release

* Tue Aug 11 2015 ovitters <ovitters> 3.17.1-1.mga6
+ Revision: 862472
- new version 3.17.1

* Mon Jun 22 2015 ovitters <ovitters> 3.12.0-1.mga6
+ Revision: 839787
- new version 3.12.0

* Wed Oct 15 2014 umeabot <umeabot> 3.2.0-5.mga5
+ Revision: 750781
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.2.0-4.mga5
+ Revision: 680031
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 3.2.0-3.mga4
+ Revision: 523989
- Mageia 4 Mass Rebuild

* Thu Jan 17 2013 pterjan <pterjan> 3.2.0-2.mga4
+ Revision: 389214
+ rebuild (emptylog)

* Sat Jan 12 2013 umeabot <umeabot> 3.2.0-2.mga3
+ Revision: 352936
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 28 2011 wally <wally> 3.2.0-1.mga2
+ Revision: 150009
- new version 3.2.0

* Mon Jun 27 2011 fwang <fwang> 3.0.0-1.mga2
+ Revision: 114279
- new version 3.0.0

* Sat Jun 25 2011 dmorgan <dmorgan> 2.10.2-1.mga2
+ Revision: 113793
- Fix buildrequires
- imported package gtksourceviewmm

